INCDIR = -I$(HDFINC) -I$(HDFEOS_INC) -I$(SZIPINC) -I$(ZLIBINC) -I$(JPEGINC) 
LIBDIR = -L$(HDFLIB) -L$(HDFEOS_LIB) -L$(SZIPLIB) -L$(ZLIBLIB)  -L$(JPEGLIB) -lhdfeos -lGctp -lmfhdf -ldf -lz $(SZIPLIB)/libsz.a $(JPEGINC)/libjpeg.a -lm
# /usr/lib/librpc.a

all: testswath_c testswath_f testgrid_c testgrid_f testpoint_c testpoint_f

testswath_c:
	@echo " "; echo " "; \
	echo " ---- Making *.c testdrivers in swath directory ----"; \
	cd swath; \
	$(CC) $(CFLAGS) -o testswath.o $(INCDIR) -c testswath.c; \
	$(CC) $(CFLAGS) -o testswath_c testswath.o $(LIBDIR) $(CEXTRAL); \
	$(RM) $(RMFLAGS) *.o; \
	cd ../.;
testswath_f:
	@if [ "`basename ${F77}`" = "f77" -o "`basename ${F77}`" = "gfortran" ] ; then \
	echo " ---- Making *.f testdrivers in swath directory ----"; \
	cd swath; \
	$(F77) $(FFLAGS) -o testswath.o $(INCDIR) -c testswath.f; \
	$(F77) $(FFLAGS) -o testswath_f testswath.o $(LIBDIR) $(FEXTRAL); \
	$(RM) $(RMFLAGS) *.o; echo " "; echo " "; \
	cd ../.;  \
	fi ;
testgrid_c:
	@echo " "; echo " "; \
	echo " ---- Making *.c testdrivers in grid directory  ----"; \
	cd grid; \
 	$(CC) $(CFLAGS) -o testgrid.o $(INCDIR) -c testgrid.c; \
	$(CC) $(CFLAGS) -o testgrid_c testgrid.o $(LIBDIR) $(CEXTRAL); \
	$(RM) $(RMFLAGS) *.o; \
	cd ../.;
testgrid_f:
	@if [ "`basename ${F77}`" = "f77" -o "`basename ${F77}`" = "gfortran" ] ; then \
	echo " ---- Making *.f testdrivers in grid directory ----"; \
	cd grid; \
	$(F77) $(FFLAGS) -o testgrid.o $(INCDIR) -c testgrid.f; \
	$(F77) $(FFLAGS) -o testgrid_f testgrid.o $(LIBDIR) $(FEXTRAL); \
	$(RM) $(RMFLAGS) *.o; echo " "; echo " "; \
	cd ../.;  \
	fi ;
testpoint_c:
	@echo " "; echo " "; \
	echo " ---- Making *.c testdrivers in point directory ----"; \
	cd point; \
	$(CC) $(CFLAGS) -o testpoint.o $(INCDIR) -c testpoint.c; \
	$(CC) $(CFLAGS) -o testpoint_c testpoint.o $(LIBDIR) $(CEXTRAL); \
	$(RM) $(RMFLAGS) *.o; \
	cd ../.;
testpoint_f:
	@if [ "`basename ${F77}`" = "f77" -o "`basename ${F77}`" = "gfortran" ] ; then \
	echo " ---- Making *.f testdrivers in point directory ----"; \
	cd point; \
	$(F77) $(FFLAGS) -o testpoint.o $(INCDIR) -c testpoint.f; \
	$(F77) $(FFLAGS) -o testpoint_f testpoint.o $(LIBDIR) $(FEXTRAL); \
	$(RM) $(RMFLAGS) *.o;echo " "; echo " "; \
	cd ../.;  \
	fi ;











